Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel.util
Class AllocationComponentOperationPair

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.util.AllocationComponentOperationPair

All Implemented Interfaces:
  ISystemModelElement

    public class AllocationComponentOperationPair

extends Object
implements ISystemModelElement

This class represents a pair consisting of an `Operation` and an `AllocationComponent`.

Since:
  1.1
Author:
  Andre van Hoorn

Constructor Summary
`AllocationComponentOperationPair(int id, Operation operation, AllocationComponent allocationComponent)` Creates a new instance of this class using the given parameters.

Method Summary
`AllocationComponent` | `getAllocationComponent()`
`int` | `getId()`
`String` | `getIdentifier()` Returns a textual identifier for this object (e.g., its name).
`Operation` | `getOperation()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AllocationComponentOperationPair

    public AllocationComponentOperationPair(int id,
                                            Operation operation,
                                            AllocationComponent allocationComponent)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `id` - The ID of this pair.
    `operation` - The operation.
    `allocationComponent` - The allocation component.

Method Detail

### getId

    public final int getId()

### getAllocationComponent

    public final AllocationComponent getAllocationComponent()

### getOperation

    public final Operation getOperation()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getIdentifier

    public String getIdentifier()

  Description copied from interface: `ISystemModelElement`
  Returns a textual identifier for this object (e.g., its name).

  Specified by:
    `getIdentifier` in interface `ISystemModelElement`
  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net